<?php

namespace App\Services\Views;

use App\Models\Block;

class VisualService
{
    /**
     *
     * @param $model
     * @param string $id
     * @return string
     */

    public function url($model, $id = '')
    {
        if (!strstr(request()->getUri(), 'visualEdit=true')) {
            return '';
        }

        $visualUrl = '  data-visual-url=' . url('/admin') . '/';

        $modelId = 0;

        if ($model == 'config') {
            return $visualUrl . 'visual?action=edit&key=' . $id;
        }

        if ($model == 'service') {
            return $visualUrl . 'setting/index/web?tab=tab-4';
        }

        if ($model == 'block') {
            $modelId = Block::where('slug', $id)->value('id');

            return  $visualUrl . $model . "/{$modelId}/edit";
        }

        if ($id) {
            $modelId = is_numeric($id) ? $id : $id->id;
        }

        return $modelId > 0 ? $visualUrl . $model . "/{$modelId}/edit" : $visualUrl . $model;
    }
}